﻿;-------------------------------------------------------------------------------
; Anagrams.ahk
; by wolf_II
;-------------------------------------------------------------------------------
; search for (real-word) anagrams from a given (arbitrary) string of letters
;-------------------------------------------------------------------------------
;
; written with massive help by Helgef from AHK forum:
; https://autohotkey.com/boards/viewtopic.php?p=158284#p158284
;
; thread about this script and even more help from Helgef:
; https://autohotkey.com/boards/viewtopic.php?p=158464#p158464
;
;-------------------------------------------------------------------------------



;-------------------------------------------------------------------------------
AutoExecute: ; auto-execute section of the script
;-------------------------------------------------------------------------------
    #NoEnv                              ; don't check empty variables
    #SingleInstance, Force              ; kill old instance
    ;---------------------------------------------------------------------------
    OnExit("CleanUp")                   ; #SingleInstance and Reload behaviour
    SetBatchLines, -1                   ; run script at maximum speed
    SetWorkingDir, %A_ScriptDir%        ; consistent directory
    SplitPath, A_ScriptName,,,, AppName ; get AppName from file name
    ;---------------------------------------------------------------------------
    Version := "2.01"
    ;===========================================================================

    Max_Input_Length := 26
    Gosub, Handle_INI

    ; display GUI while loading
    Menu, Tray, Icon, %AppName%.ico
    Menu, Tray, Icon ; show
    Gosub, MainGuiCreate
    Gosub, MainGuiShow

    ; load word list
    WordCount := Make_DICT()

    ; loading is done
    SB_SetText("Words: " prettify_Number(WordCount), 3)
    GuiControl, Hide, Loading
    GuiControl, -Center -Disabled +gShowAnagrams, Input
    GuiControl, Choose, Skip, %LastSkip%
    GuiControl, Focus, Input
    GuiControl,, Input, %LastInput%

Return ; end of auto-execute section



;-------------------------------------------------------------------------------
#Include, *i %A_ScriptDir%\Include ; set folder for includes
;-------------------------------------------------------------------------------
    #Include, GUI.Create.ahk
    #Include, GUI.Events.ahk
    #Include, GUI.Handler.ahk
    #Include, INI.Handler.ahk
    #Include, MainCode.ahk
    #Include, Make_DICT.ahk



;-------------------------------------------------------------------------------
; Library files
;-------------------------------------------------------------------------------
    #Include, <prettify_Number>
    #Include, <QPC>
    #Include, <WM_MOVE>



/*--------- end of file --------------------------------------------------------
