﻿


;-------------------------------------------------------------------------------
ShowAnagrams: ; live display all anagrams of Input found in Dictionary
;-------------------------------------------------------------------------------
    Gui, Submit, NoHide
    InputLength := StrLen(Input)
    SB_SetText("Length: " InputLength, 1)

    If (InputLength > 12) { ; reduce flashing
        GuiControl, +Disabled, Input
        GuiControl, +Disabled, Skip
        GuiControl, +Disabled, LBox
    }

    If (InputLength > Max_Input_Length) {
        GuiControl,, LBox, |Input too long
        GuiControl, -Disabled, Input
        GuiControl, -Disabled, Skip
        GuiControl, -Disabled, LBox
        GuiControl, Focus, Input
        Return
    }

    WordList := "", Count := 0
    Start := QPC()
    For each, Keyword in Combinations(Input, Skip)
        For each, Anagram in DICT[StrLen(Keyword) // 2 + 1, Keyword]
            WordList .= WordList ? "|" Anagram : Anagram, Count++
    Sort, WordList, D| F LengthSort
    TimeTaken := QPC() - Start ; time in s

    GuiControl,, TimeTaken, %TimeTaken%
    GuiControl, Hide, LBox
    GuiControl,, LBox, % "|" (WordList ? WordList : "no anagrams for " Input)
    GuiControl, Show, LBox
    SB_SetText("Count: " Count, 2)
    SB_SetText("Time: " Round(TimeTaken, 3) " s", 4)
    GuiControl, -Disabled, Input
    GuiControl, -Disabled, Skip
    GuiControl, -Disabled, LBox
    GuiControl, Focus, Input

Return

